{
  lib,
  config,
  pkgs,
  ...
}: let
  cfg = config.marleyos.programs.vesktop;
in {
  options.marleyos.programs.vesktop.enable = lib.mkEnableOption "vesktop";

  config = lib.mkIf cfg.enable {
    # TODO: Switch to nixcord.
    home.packages = with pkgs; [
      vesktop
    ];
  };
}
